U-CONFIG(1)

NAME
u-config - smaller, simpler, portable pkg-config clone

SYNOPSIS
u-config [options] package [package ...]

DESCRIPTION
u-config is a small, highly portable pkg-config and pkgconf clone. It retrieves compiler and linker flags, version, and other dependency information of software packages.

Package metadata is retrieved from “.pc” text files, located in a system-specific path. You can override the default search path with environment variables like PKG_CONFIG_PATH. See ENVIRONMENT for more information.

This manual page describes the u-config utility in particular. For general information about pkg-config concepts and its file format, refer to manual pages provided by other projects, like pkgconf(1) and pc(5).

u-config supports a subset of the options of other pkg-config implementations. For a list of supported options, use the --help option. Some of them are unique to u-config:

--newlines
    Separate arguments by line feeds instead of spaces, which is sometimes useful like in the fish shell or when manually examining output.

--msvc-syntax
    Translates and prints compiler arguments into a syntax compatible with the MSVC compiler. For example, -l libname becomes libname.lib.

ENVIRONMENT
u-config supports all the important pkg-config run-time environment variables. To see which are supported, use the --help option.

EXAMPLES

    $ u-config --cflags --libs foo
    -I/usr/include/foo -DFOO_HAS_BAR=1 -lfoo

SEE ALSO
pkgconf(1), pc(5)

AUTHORS
u-config was written by Chris Wellons <wellons@nullprogram.com>. This manual page was written by Andrea Pappacoda <andrea@pappacoda.it> for the Debian project (and may be used by others).